#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include "cydevice.h"
#include "cydevice_trm.h"

/* ADC_ADC_SAR */
#define ADC_ADC_SAR__CLK CYREG_SAR0_CLK
#define ADC_ADC_SAR__CSR0 CYREG_SAR0_CSR0
#define ADC_ADC_SAR__CSR1 CYREG_SAR0_CSR1
#define ADC_ADC_SAR__CSR2 CYREG_SAR0_CSR2
#define ADC_ADC_SAR__CSR3 CYREG_SAR0_CSR3
#define ADC_ADC_SAR__CSR4 CYREG_SAR0_CSR4
#define ADC_ADC_SAR__CSR5 CYREG_SAR0_CSR5
#define ADC_ADC_SAR__CSR6 CYREG_SAR0_CSR6
#define ADC_ADC_SAR__PM_ACT_CFG CYREG_PM_ACT_CFG11
#define ADC_ADC_SAR__PM_ACT_MSK 0x01u
#define ADC_ADC_SAR__PM_STBY_CFG CYREG_PM_STBY_CFG11
#define ADC_ADC_SAR__PM_STBY_MSK 0x01u
#define ADC_ADC_SAR__SW0 CYREG_SAR0_SW0
#define ADC_ADC_SAR__SW2 CYREG_SAR0_SW2
#define ADC_ADC_SAR__SW3 CYREG_SAR0_SW3
#define ADC_ADC_SAR__SW4 CYREG_SAR0_SW4
#define ADC_ADC_SAR__SW6 CYREG_SAR0_SW6
#define ADC_ADC_SAR__TR0 CYREG_SAR0_TR0
#define ADC_ADC_SAR__WRK0 CYREG_SAR0_WRK0
#define ADC_ADC_SAR__WRK1 CYREG_SAR0_WRK1

/* ADC_IRQ */
#define ADC_IRQ__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ADC_IRQ__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ADC_IRQ__INTC_MASK 0x01u
#define ADC_IRQ__INTC_NUMBER 0u
#define ADC_IRQ__INTC_PRIOR_NUM 7u
#define ADC_IRQ__INTC_PRIOR_REG CYREG_NVIC_PRI_0
#define ADC_IRQ__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ADC_IRQ__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* ADC_theACLK */
#define ADC_theACLK__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define ADC_theACLK__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define ADC_theACLK__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define ADC_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_theACLK__INDEX 0x00u
#define ADC_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define ADC_theACLK__PM_ACT_MSK 0x01u
#define ADC_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define ADC_theACLK__PM_STBY_MSK 0x01u

/* DMA */
#define DMA__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define DMA__DRQ_NUMBER 0u
#define DMA__NUMBEROF_TDS 0u
#define DMA__PRIORITY 2u
#define DMA__TERMIN_EN 0u
#define DMA__TERMIN_SEL 0u
#define DMA__TERMOUT0_EN 0u
#define DMA__TERMOUT0_SEL 0u
#define DMA__TERMOUT1_EN 0u
#define DMA__TERMOUT1_SEL 0u
#define DMA_CHANNELS_USED__MASK0 0x00000001u

/* Level */
#define Level__0__MASK 0x02u
#define Level__0__PC CYREG_PRT4_PC1
#define Level__0__PORT 4u
#define Level__0__SHIFT 1
#define Level__AG CYREG_PRT4_AG
#define Level__AMUX CYREG_PRT4_AMUX
#define Level__BIE CYREG_PRT4_BIE
#define Level__BIT_MASK CYREG_PRT4_BIT_MASK
#define Level__BYP CYREG_PRT4_BYP
#define Level__CTL CYREG_PRT4_CTL
#define Level__DM0 CYREG_PRT4_DM0
#define Level__DM1 CYREG_PRT4_DM1
#define Level__DM2 CYREG_PRT4_DM2
#define Level__DR CYREG_PRT4_DR
#define Level__INP_DIS CYREG_PRT4_INP_DIS
#define Level__LCD_COM_SEG CYREG_PRT4_LCD_COM_SEG
#define Level__LCD_EN CYREG_PRT4_LCD_EN
#define Level__MASK 0x02u
#define Level__PORT 4u
#define Level__PRT CYREG_PRT4_PRT
#define Level__PRTDSI__CAPS_SEL CYREG_PRT4_CAPS_SEL
#define Level__PRTDSI__DBL_SYNC_IN CYREG_PRT4_DBL_SYNC_IN
#define Level__PRTDSI__OE_SEL0 CYREG_PRT4_OE_SEL0
#define Level__PRTDSI__OE_SEL1 CYREG_PRT4_OE_SEL1
#define Level__PRTDSI__OUT_SEL0 CYREG_PRT4_OUT_SEL0
#define Level__PRTDSI__OUT_SEL1 CYREG_PRT4_OUT_SEL1
#define Level__PRTDSI__SYNC_OUT CYREG_PRT4_SYNC_OUT
#define Level__PS CYREG_PRT4_PS
#define Level__SHIFT 1
#define Level__SLW CYREG_PRT4_SLW

/* Rx_En */
#define Rx_En__0__MASK 0x08u
#define Rx_En__0__PC CYREG_PRT0_PC3
#define Rx_En__0__PORT 0u
#define Rx_En__0__SHIFT 3
#define Rx_En__AG CYREG_PRT0_AG
#define Rx_En__AMUX CYREG_PRT0_AMUX
#define Rx_En__BIE CYREG_PRT0_BIE
#define Rx_En__BIT_MASK CYREG_PRT0_BIT_MASK
#define Rx_En__BYP CYREG_PRT0_BYP
#define Rx_En__CTL CYREG_PRT0_CTL
#define Rx_En__DM0 CYREG_PRT0_DM0
#define Rx_En__DM1 CYREG_PRT0_DM1
#define Rx_En__DM2 CYREG_PRT0_DM2
#define Rx_En__DR CYREG_PRT0_DR
#define Rx_En__INP_DIS CYREG_PRT0_INP_DIS
#define Rx_En__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Rx_En__LCD_EN CYREG_PRT0_LCD_EN
#define Rx_En__MASK 0x08u
#define Rx_En__PORT 0u
#define Rx_En__PRT CYREG_PRT0_PRT
#define Rx_En__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Rx_En__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Rx_En__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Rx_En__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Rx_En__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Rx_En__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Rx_En__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Rx_En__PS CYREG_PRT0_PS
#define Rx_En__SHIFT 3
#define Rx_En__SLW CYREG_PRT0_SLW

/* Tx_En */
#define Tx_En__0__MASK 0x04u
#define Tx_En__0__PC CYREG_PRT0_PC2
#define Tx_En__0__PORT 0u
#define Tx_En__0__SHIFT 2
#define Tx_En__AG CYREG_PRT0_AG
#define Tx_En__AMUX CYREG_PRT0_AMUX
#define Tx_En__BIE CYREG_PRT0_BIE
#define Tx_En__BIT_MASK CYREG_PRT0_BIT_MASK
#define Tx_En__BYP CYREG_PRT0_BYP
#define Tx_En__CTL CYREG_PRT0_CTL
#define Tx_En__DM0 CYREG_PRT0_DM0
#define Tx_En__DM1 CYREG_PRT0_DM1
#define Tx_En__DM2 CYREG_PRT0_DM2
#define Tx_En__DR CYREG_PRT0_DR
#define Tx_En__INP_DIS CYREG_PRT0_INP_DIS
#define Tx_En__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Tx_En__LCD_EN CYREG_PRT0_LCD_EN
#define Tx_En__MASK 0x04u
#define Tx_En__PORT 0u
#define Tx_En__PRT CYREG_PRT0_PRT
#define Tx_En__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Tx_En__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Tx_En__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Tx_En__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Tx_En__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Tx_En__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Tx_En__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Tx_En__PS CYREG_PRT0_PS
#define Tx_En__SHIFT 2
#define Tx_En__SLW CYREG_PRT0_SLW

/* Miscellaneous */
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CY_PROJECT_NAME "DMA_Test"
#define CY_VERSION "PSoC Creator  3.2"
#define CYDEV_CHIP_DIE_GEN4 2u
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PANTHER 12u
#define CYDEV_CHIP_DIE_PSOC4A 5u
#define CYDEV_CHIP_DIE_PSOC5LP 11u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x2E160069u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 5u
#define CYDEV_CHIP_MEMBER_4C 9u
#define CYDEV_CHIP_MEMBER_4D 3u
#define CYDEV_CHIP_MEMBER_4E 4u
#define CYDEV_CHIP_MEMBER_4F 6u
#define CYDEV_CHIP_MEMBER_4G 2u
#define CYDEV_CHIP_MEMBER_4L 8u
#define CYDEV_CHIP_MEMBER_4M 7u
#define CYDEV_CHIP_MEMBER_5A 11u
#define CYDEV_CHIP_MEMBER_5B 10u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5B
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_MEMBER_USED
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_REV_GEN4_ES 17u
#define CYDEV_CHIP_REV_GEN4_ES2 33u
#define CYDEV_CHIP_REV_GEN4_PRODUCTION 17u
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4C_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4D_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4E_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256K 0u
#define CYDEV_CHIP_REVISION_4G_ES 17u
#define CYDEV_CHIP_REVISION_4G_ES2 33u
#define CYDEV_CHIP_REVISION_4G_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4L_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4M_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5B_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REVISION_USED
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x20u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_JTAG_4
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 0x80
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x00000001u
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LAUNCHER 5
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER 4
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_STACK_SIZE 0x0800
#define CYDEV_USE_BUNDLED_CMSIS 1
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 3.3
#define CYDEV_VDDA_MV 3300
#define CYDEV_VDDD 3.3
#define CYDEV_VDDD_MV 3300
#define CYDEV_VDDIO0 3.3
#define CYDEV_VDDIO0_MV 3300
#define CYDEV_VDDIO1 3.3
#define CYDEV_VDDIO1_MV 3300
#define CYDEV_VDDIO2 3.3
#define CYDEV_VDDIO2_MV 3300
#define CYDEV_VDDIO3 3.3
#define CYDEV_VDDIO3_MV 3300
#define CYDEV_VIO0 3.3
#define CYDEV_VIO0_MV 3300
#define CYDEV_VIO1 3.3
#define CYDEV_VIO1_MV 3300
#define CYDEV_VIO2 3.3
#define CYDEV_VIO2_MV 3300
#define CYDEV_VIO3 3.3
#define CYDEV_VIO3_MV 3300
#define CYIPBLOCK_ARM_CM3_VERSION 0
#define CYIPBLOCK_P3_ANAIF_VERSION 0
#define CYIPBLOCK_P3_CAN_VERSION 0
#define CYIPBLOCK_P3_CAPSENSE_VERSION 0
#define CYIPBLOCK_P3_COMP_VERSION 0
#define CYIPBLOCK_P3_DECIMATOR_VERSION 0
#define CYIPBLOCK_P3_DFB_VERSION 0
#define CYIPBLOCK_P3_DMA_VERSION 0
#define CYIPBLOCK_P3_DRQ_VERSION 0
#define CYIPBLOCK_P3_DSM_VERSION 0
#define CYIPBLOCK_P3_EMIF_VERSION 0
#define CYIPBLOCK_P3_I2C_VERSION 0
#define CYIPBLOCK_P3_LCD_VERSION 0
#define CYIPBLOCK_P3_LPF_VERSION 0
#define CYIPBLOCK_P3_OPAMP_VERSION 0
#define CYIPBLOCK_P3_PM_VERSION 0
#define CYIPBLOCK_P3_SCCT_VERSION 0
#define CYIPBLOCK_P3_TIMER_VERSION 0
#define CYIPBLOCK_P3_USB_VERSION 0
#define CYIPBLOCK_P3_VIDAC_VERSION 0
#define CYIPBLOCK_P3_VREF_VERSION 0
#define CYIPBLOCK_S8_GPIO_VERSION 0
#define CYIPBLOCK_S8_IRQ_VERSION 0
#define CYIPBLOCK_S8_SAR_VERSION 0
#define CYIPBLOCK_S8_SIO_VERSION 0
#define CYIPBLOCK_S8_UDB_VERSION 0
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
