.ifndef INCLUDED_CYFITTERGNU_INC
.set INCLUDED_CYFITTERGNU_INC, 1
.include "cydevicegnu.inc"
.include "cydevicegnu_trm.inc"

/* ADC_ADC_SAR */
.set ADC_ADC_SAR__CLK, CYREG_SAR0_CLK
.set ADC_ADC_SAR__CSR0, CYREG_SAR0_CSR0
.set ADC_ADC_SAR__CSR1, CYREG_SAR0_CSR1
.set ADC_ADC_SAR__CSR2, CYREG_SAR0_CSR2
.set ADC_ADC_SAR__CSR3, CYREG_SAR0_CSR3
.set ADC_ADC_SAR__CSR4, CYREG_SAR0_CSR4
.set ADC_ADC_SAR__CSR5, CYREG_SAR0_CSR5
.set ADC_ADC_SAR__CSR6, CYREG_SAR0_CSR6
.set ADC_ADC_SAR__PM_ACT_CFG, CYREG_PM_ACT_CFG11
.set ADC_ADC_SAR__PM_ACT_MSK, 0x01
.set ADC_ADC_SAR__PM_STBY_CFG, CYREG_PM_STBY_CFG11
.set ADC_ADC_SAR__PM_STBY_MSK, 0x01
.set ADC_ADC_SAR__SW0, CYREG_SAR0_SW0
.set ADC_ADC_SAR__SW2, CYREG_SAR0_SW2
.set ADC_ADC_SAR__SW3, CYREG_SAR0_SW3
.set ADC_ADC_SAR__SW4, CYREG_SAR0_SW4
.set ADC_ADC_SAR__SW6, CYREG_SAR0_SW6
.set ADC_ADC_SAR__TR0, CYREG_SAR0_TR0
.set ADC_ADC_SAR__WRK0, CYREG_SAR0_WRK0
.set ADC_ADC_SAR__WRK1, CYREG_SAR0_WRK1

/* ADC_IRQ */
.set ADC_IRQ__INTC_CLR_EN_REG, CYREG_NVIC_CLRENA0
.set ADC_IRQ__INTC_CLR_PD_REG, CYREG_NVIC_CLRPEND0
.set ADC_IRQ__INTC_MASK, 0x01
.set ADC_IRQ__INTC_NUMBER, 0
.set ADC_IRQ__INTC_PRIOR_NUM, 7
.set ADC_IRQ__INTC_PRIOR_REG, CYREG_NVIC_PRI_0
.set ADC_IRQ__INTC_SET_EN_REG, CYREG_NVIC_SETENA0
.set ADC_IRQ__INTC_SET_PD_REG, CYREG_NVIC_SETPEND0

/* ADC_theACLK */
.set ADC_theACLK__CFG0, CYREG_CLKDIST_DCFG0_CFG0
.set ADC_theACLK__CFG1, CYREG_CLKDIST_DCFG0_CFG1
.set ADC_theACLK__CFG2, CYREG_CLKDIST_DCFG0_CFG2
.set ADC_theACLK__CFG2_SRC_SEL_MASK, 0x07
.set ADC_theACLK__INDEX, 0x00
.set ADC_theACLK__PM_ACT_CFG, CYREG_PM_ACT_CFG2
.set ADC_theACLK__PM_ACT_MSK, 0x01
.set ADC_theACLK__PM_STBY_CFG, CYREG_PM_STBY_CFG2
.set ADC_theACLK__PM_STBY_MSK, 0x01

/* DMA */
.set DMA__DRQ_CTL, CYREG_IDMUX_DRQ_CTL0
.set DMA__DRQ_NUMBER, 0
.set DMA__NUMBEROF_TDS, 0
.set DMA__PRIORITY, 2
.set DMA__TERMIN_EN, 0
.set DMA__TERMIN_SEL, 0
.set DMA__TERMOUT0_EN, 0
.set DMA__TERMOUT0_SEL, 0
.set DMA__TERMOUT1_EN, 0
.set DMA__TERMOUT1_SEL, 0
.set DMA_CHANNELS_USED__MASK0, 0x00000001

/* Level */
.set Level__0__MASK, 0x02
.set Level__0__PC, CYREG_PRT4_PC1
.set Level__0__PORT, 4
.set Level__0__SHIFT, 1
.set Level__AG, CYREG_PRT4_AG
.set Level__AMUX, CYREG_PRT4_AMUX
.set Level__BIE, CYREG_PRT4_BIE
.set Level__BIT_MASK, CYREG_PRT4_BIT_MASK
.set Level__BYP, CYREG_PRT4_BYP
.set Level__CTL, CYREG_PRT4_CTL
.set Level__DM0, CYREG_PRT4_DM0
.set Level__DM1, CYREG_PRT4_DM1
.set Level__DM2, CYREG_PRT4_DM2
.set Level__DR, CYREG_PRT4_DR
.set Level__INP_DIS, CYREG_PRT4_INP_DIS
.set Level__LCD_COM_SEG, CYREG_PRT4_LCD_COM_SEG
.set Level__LCD_EN, CYREG_PRT4_LCD_EN
.set Level__MASK, 0x02
.set Level__PORT, 4
.set Level__PRT, CYREG_PRT4_PRT
.set Level__PRTDSI__CAPS_SEL, CYREG_PRT4_CAPS_SEL
.set Level__PRTDSI__DBL_SYNC_IN, CYREG_PRT4_DBL_SYNC_IN
.set Level__PRTDSI__OE_SEL0, CYREG_PRT4_OE_SEL0
.set Level__PRTDSI__OE_SEL1, CYREG_PRT4_OE_SEL1
.set Level__PRTDSI__OUT_SEL0, CYREG_PRT4_OUT_SEL0
.set Level__PRTDSI__OUT_SEL1, CYREG_PRT4_OUT_SEL1
.set Level__PRTDSI__SYNC_OUT, CYREG_PRT4_SYNC_OUT
.set Level__PS, CYREG_PRT4_PS
.set Level__SHIFT, 1
.set Level__SLW, CYREG_PRT4_SLW

/* Rx_En */
.set Rx_En__0__MASK, 0x08
.set Rx_En__0__PC, CYREG_PRT0_PC3
.set Rx_En__0__PORT, 0
.set Rx_En__0__SHIFT, 3
.set Rx_En__AG, CYREG_PRT0_AG
.set Rx_En__AMUX, CYREG_PRT0_AMUX
.set Rx_En__BIE, CYREG_PRT0_BIE
.set Rx_En__BIT_MASK, CYREG_PRT0_BIT_MASK
.set Rx_En__BYP, CYREG_PRT0_BYP
.set Rx_En__CTL, CYREG_PRT0_CTL
.set Rx_En__DM0, CYREG_PRT0_DM0
.set Rx_En__DM1, CYREG_PRT0_DM1
.set Rx_En__DM2, CYREG_PRT0_DM2
.set Rx_En__DR, CYREG_PRT0_DR
.set Rx_En__INP_DIS, CYREG_PRT0_INP_DIS
.set Rx_En__LCD_COM_SEG, CYREG_PRT0_LCD_COM_SEG
.set Rx_En__LCD_EN, CYREG_PRT0_LCD_EN
.set Rx_En__MASK, 0x08
.set Rx_En__PORT, 0
.set Rx_En__PRT, CYREG_PRT0_PRT
.set Rx_En__PRTDSI__CAPS_SEL, CYREG_PRT0_CAPS_SEL
.set Rx_En__PRTDSI__DBL_SYNC_IN, CYREG_PRT0_DBL_SYNC_IN
.set Rx_En__PRTDSI__OE_SEL0, CYREG_PRT0_OE_SEL0
.set Rx_En__PRTDSI__OE_SEL1, CYREG_PRT0_OE_SEL1
.set Rx_En__PRTDSI__OUT_SEL0, CYREG_PRT0_OUT_SEL0
.set Rx_En__PRTDSI__OUT_SEL1, CYREG_PRT0_OUT_SEL1
.set Rx_En__PRTDSI__SYNC_OUT, CYREG_PRT0_SYNC_OUT
.set Rx_En__PS, CYREG_PRT0_PS
.set Rx_En__SHIFT, 3
.set Rx_En__SLW, CYREG_PRT0_SLW

/* Tx_En */
.set Tx_En__0__MASK, 0x04
.set Tx_En__0__PC, CYREG_PRT0_PC2
.set Tx_En__0__PORT, 0
.set Tx_En__0__SHIFT, 2
.set Tx_En__AG, CYREG_PRT0_AG
.set Tx_En__AMUX, CYREG_PRT0_AMUX
.set Tx_En__BIE, CYREG_PRT0_BIE
.set Tx_En__BIT_MASK, CYREG_PRT0_BIT_MASK
.set Tx_En__BYP, CYREG_PRT0_BYP
.set Tx_En__CTL, CYREG_PRT0_CTL
.set Tx_En__DM0, CYREG_PRT0_DM0
.set Tx_En__DM1, CYREG_PRT0_DM1
.set Tx_En__DM2, CYREG_PRT0_DM2
.set Tx_En__DR, CYREG_PRT0_DR
.set Tx_En__INP_DIS, CYREG_PRT0_INP_DIS
.set Tx_En__LCD_COM_SEG, CYREG_PRT0_LCD_COM_SEG
.set Tx_En__LCD_EN, CYREG_PRT0_LCD_EN
.set Tx_En__MASK, 0x04
.set Tx_En__PORT, 0
.set Tx_En__PRT, CYREG_PRT0_PRT
.set Tx_En__PRTDSI__CAPS_SEL, CYREG_PRT0_CAPS_SEL
.set Tx_En__PRTDSI__DBL_SYNC_IN, CYREG_PRT0_DBL_SYNC_IN
.set Tx_En__PRTDSI__OE_SEL0, CYREG_PRT0_OE_SEL0
.set Tx_En__PRTDSI__OE_SEL1, CYREG_PRT0_OE_SEL1
.set Tx_En__PRTDSI__OUT_SEL0, CYREG_PRT0_OUT_SEL0
.set Tx_En__PRTDSI__OUT_SEL1, CYREG_PRT0_OUT_SEL1
.set Tx_En__PRTDSI__SYNC_OUT, CYREG_PRT0_SYNC_OUT
.set Tx_En__PS, CYREG_PRT0_PS
.set Tx_En__SHIFT, 2
.set Tx_En__SLW, CYREG_PRT0_SLW

/* Miscellaneous */
.set BCLK__BUS_CLK__HZ, 24000000
.set BCLK__BUS_CLK__KHZ, 24000
.set BCLK__BUS_CLK__MHZ, 24
.set CYDEV_CHIP_DIE_GEN4, 2
.set CYDEV_CHIP_DIE_LEOPARD, 1
.set CYDEV_CHIP_DIE_PANTHER, 12
.set CYDEV_CHIP_DIE_PSOC4A, 5
.set CYDEV_CHIP_DIE_PSOC5LP, 11
.set CYDEV_CHIP_DIE_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_PSOC3, 1
.set CYDEV_CHIP_FAMILY_PSOC4, 2
.set CYDEV_CHIP_FAMILY_PSOC5, 3
.set CYDEV_CHIP_FAMILY_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_USED, CYDEV_CHIP_FAMILY_PSOC5
.set CYDEV_CHIP_JTAG_ID, 0x2E160069
.set CYDEV_CHIP_MEMBER_3A, 1
.set CYDEV_CHIP_MEMBER_4A, 5
.set CYDEV_CHIP_MEMBER_4C, 9
.set CYDEV_CHIP_MEMBER_4D, 3
.set CYDEV_CHIP_MEMBER_4E, 4
.set CYDEV_CHIP_MEMBER_4F, 6
.set CYDEV_CHIP_MEMBER_4G, 2
.set CYDEV_CHIP_MEMBER_4L, 8
.set CYDEV_CHIP_MEMBER_4M, 7
.set CYDEV_CHIP_MEMBER_5A, 11
.set CYDEV_CHIP_MEMBER_5B, 10
.set CYDEV_CHIP_MEMBER_UNKNOWN, 0
.set CYDEV_CHIP_MEMBER_USED, CYDEV_CHIP_MEMBER_5B
.set CYDEV_CHIP_DIE_EXPECT, CYDEV_CHIP_MEMBER_USED
.set CYDEV_CHIP_DIE_ACTUAL, CYDEV_CHIP_DIE_EXPECT
.set CYDEV_CHIP_REV_GEN4_ES, 17
.set CYDEV_CHIP_REV_GEN4_ES2, 33
.set CYDEV_CHIP_REV_GEN4_PRODUCTION, 17
.set CYDEV_CHIP_REV_LEOPARD_ES1, 0
.set CYDEV_CHIP_REV_LEOPARD_ES2, 1
.set CYDEV_CHIP_REV_LEOPARD_ES3, 3
.set CYDEV_CHIP_REV_LEOPARD_PRODUCTION, 3
.set CYDEV_CHIP_REV_PANTHER_ES0, 0
.set CYDEV_CHIP_REV_PANTHER_ES1, 1
.set CYDEV_CHIP_REV_PANTHER_PRODUCTION, 1
.set CYDEV_CHIP_REV_PSOC4A_ES0, 17
.set CYDEV_CHIP_REV_PSOC4A_PRODUCTION, 17
.set CYDEV_CHIP_REV_PSOC5LP_ES0, 0
.set CYDEV_CHIP_REV_PSOC5LP_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_3A_ES1, 0
.set CYDEV_CHIP_REVISION_3A_ES2, 1
.set CYDEV_CHIP_REVISION_3A_ES3, 3
.set CYDEV_CHIP_REVISION_3A_PRODUCTION, 3
.set CYDEV_CHIP_REVISION_4A_ES0, 17
.set CYDEV_CHIP_REVISION_4A_PRODUCTION, 17
.set CYDEV_CHIP_REVISION_4C_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4D_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4E_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4F_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4F_PRODUCTION_256K, 0
.set CYDEV_CHIP_REVISION_4G_ES, 17
.set CYDEV_CHIP_REVISION_4G_ES2, 33
.set CYDEV_CHIP_REVISION_4G_PRODUCTION, 17
.set CYDEV_CHIP_REVISION_4L_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4M_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_5A_ES0, 0
.set CYDEV_CHIP_REVISION_5A_ES1, 1
.set CYDEV_CHIP_REVISION_5A_PRODUCTION, 1
.set CYDEV_CHIP_REVISION_5B_ES0, 0
.set CYDEV_CHIP_REVISION_5B_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_USED, CYDEV_CHIP_REVISION_5B_PRODUCTION
.set CYDEV_CHIP_REV_EXPECT, CYDEV_CHIP_REVISION_USED
.set CYDEV_CONFIG_FASTBOOT_ENABLED, 1
.set CYDEV_CONFIG_UNUSED_IO_AllowButWarn, 0
.set CYDEV_CONFIG_UNUSED_IO, CYDEV_CONFIG_UNUSED_IO_AllowButWarn
.set CYDEV_CONFIG_UNUSED_IO_AllowWithInfo, 1
.set CYDEV_CONFIG_UNUSED_IO_Disallowed, 2
.set CYDEV_CONFIGURATION_COMPRESSED, 1
.set CYDEV_CONFIGURATION_DMA, 0
.set CYDEV_CONFIGURATION_ECC, 1
.set CYDEV_CONFIGURATION_IMOENABLED, CYDEV_CONFIG_FASTBOOT_ENABLED
.set CYDEV_CONFIGURATION_MODE_COMPRESSED, 0
.set CYDEV_CONFIGURATION_MODE, CYDEV_CONFIGURATION_MODE_COMPRESSED
.set CYDEV_CONFIGURATION_MODE_DMA, 2
.set CYDEV_CONFIGURATION_MODE_UNCOMPRESSED, 1
.set CYDEV_DEBUG_ENABLE_MASK, 0x20
.set CYDEV_DEBUG_ENABLE_REGISTER, CYREG_MLOGIC_DEBUG
.set CYDEV_DEBUGGING_DPS_Disable, 3
.set CYDEV_DEBUGGING_DPS_JTAG_4, 1
.set CYDEV_DEBUGGING_DPS, CYDEV_DEBUGGING_DPS_JTAG_4
.set CYDEV_DEBUGGING_DPS_JTAG_5, 0
.set CYDEV_DEBUGGING_DPS_SWD, 2
.set CYDEV_DEBUGGING_DPS_SWD_SWV, 6
.set CYDEV_DEBUGGING_ENABLE, 1
.set CYDEV_DEBUGGING_XRES, 0
.set CYDEV_DMA_CHANNELS_AVAILABLE, 24
.set CYDEV_ECC_ENABLE, 0
.set CYDEV_HEAP_SIZE, 0x80
.set CYDEV_INSTRUCT_CACHE_ENABLED, 1
.set CYDEV_INTR_RISING, 0x00000001
.set CYDEV_PROJ_TYPE, 0
.set CYDEV_PROJ_TYPE_BOOTLOADER, 1
.set CYDEV_PROJ_TYPE_LAUNCHER, 5
.set CYDEV_PROJ_TYPE_LOADABLE, 2
.set CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER, 4
.set CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER, 3
.set CYDEV_PROJ_TYPE_STANDARD, 0
.set CYDEV_PROTECTION_ENABLE, 0
.set CYDEV_STACK_SIZE, 0x0800
.set CYDEV_USE_BUNDLED_CMSIS, 1
.set CYDEV_VARIABLE_VDDA, 0
.set CYDEV_VDDA_MV, 3300
.set CYDEV_VDDD_MV, 3300
.set CYDEV_VDDIO0_MV, 3300
.set CYDEV_VDDIO1_MV, 3300
.set CYDEV_VDDIO2_MV, 3300
.set CYDEV_VDDIO3_MV, 3300
.set CYDEV_VIO0_MV, 3300
.set CYDEV_VIO1_MV, 3300
.set CYDEV_VIO2_MV, 3300
.set CYDEV_VIO3_MV, 3300
.set CYIPBLOCK_ARM_CM3_VERSION, 0
.set CYIPBLOCK_P3_ANAIF_VERSION, 0
.set CYIPBLOCK_P3_CAN_VERSION, 0
.set CYIPBLOCK_P3_CAPSENSE_VERSION, 0
.set CYIPBLOCK_P3_COMP_VERSION, 0
.set CYIPBLOCK_P3_DECIMATOR_VERSION, 0
.set CYIPBLOCK_P3_DFB_VERSION, 0
.set CYIPBLOCK_P3_DMA_VERSION, 0
.set CYIPBLOCK_P3_DRQ_VERSION, 0
.set CYIPBLOCK_P3_DSM_VERSION, 0
.set CYIPBLOCK_P3_EMIF_VERSION, 0
.set CYIPBLOCK_P3_I2C_VERSION, 0
.set CYIPBLOCK_P3_LCD_VERSION, 0
.set CYIPBLOCK_P3_LPF_VERSION, 0
.set CYIPBLOCK_P3_OPAMP_VERSION, 0
.set CYIPBLOCK_P3_PM_VERSION, 0
.set CYIPBLOCK_P3_SCCT_VERSION, 0
.set CYIPBLOCK_P3_TIMER_VERSION, 0
.set CYIPBLOCK_P3_USB_VERSION, 0
.set CYIPBLOCK_P3_VIDAC_VERSION, 0
.set CYIPBLOCK_P3_VREF_VERSION, 0
.set CYIPBLOCK_S8_GPIO_VERSION, 0
.set CYIPBLOCK_S8_IRQ_VERSION, 0
.set CYIPBLOCK_S8_SAR_VERSION, 0
.set CYIPBLOCK_S8_SIO_VERSION, 0
.set CYIPBLOCK_S8_UDB_VERSION, 0
.set CYDEV_BOOTLOADER_ENABLE, 0
.endif
